/*------------------------------------*\
  #FLYOUT BLOCK
\*------------------------------------*/
.has-flyout [data-flyout].is-activated {
  display: none;
}

.has-flyout [data-flyout].is-activated.is-open {
  z-index: 5000;
  position: fixed;
  top: 0;
  left: 0;
  display: block;
  width: 100%;
  height: 100%;
  transform: translateX(0);
}

.has-flyout [data-flyout-content] {
  position: relative;
  height: 100%;
  background-color: #fff;
}

.has-flyout [data-flyout].is-activated [data-flyout-content] {
  overflow-x: hidden;
  overflow-y: auto;
}

body.has-flyout--open {
  overflow: hidden;
}

.has-flyout .flyout-overlay {
  display: none;
}

.has-flyout .flyout-overlay {
  z-index: 1499;
  display: block;
  will-change: background-color;
  background-color: transparent;
  transition: background-color linear 0.15s;
}

.has-flyout--open .flyout-overlay {
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.75);
}

/*------------------------------------*\
  #FLYOUT BLOCK -- MODAL
\*------------------------------------*/
.has-flyout [data-flyout][data-flyout-modal].is-activated [data-flyout-content] {
  position: relative;
}
@media (min-width: 750px) {
  .has-flyout [data-flyout][data-flyout-modal].is-activated [data-flyout-content] {
    margin: 10vh auto;
    max-height: 80vh;
    max-width: 80%;
    height: auto;
  }
}
@media (min-width: 1000px) {
  .has-flyout [data-flyout][data-flyout-modal].is-activated [data-flyout-content] {
    max-width: 60%;
  }
}

[data-flyout-content] {
  max-width: 100%;
  padding: 20px 20px;
}
@media (min-width: 750px) {
  [data-flyout-content] {
    max-width: 100%;
  }
}
@media (min-width: 1000px) {
  [data-flyout-content] {
    max-width: 100%;
  }
}
@media (min-width: 1280px) {
  [data-flyout-content] {
    max-width: 80%;
  }
}
@media (min-width: 1500px) {
  [data-flyout-content] {
    max-width: 1400px;
  }
}
@media (min-width: 2000px) {
  [data-flyout-content] {
    max-width: 1400px;
  }
}
@media (min-width: 750px) {
  [data-flyout-content] {
    padding: 20px 30px;
  }
}
@media (min-width: 1000px) {
  [data-flyout-content] {
    padding: 20px 50px;
  }
}
@media (min-width: 1280px) {
  [data-flyout-content] {
    padding: 20px 50px;
  }
}
@media (min-width: 1500px) {
  [data-flyout-content] {
    padding: 20px 50px;
  }
}
@media (min-width: 2000px) {
  [data-flyout-content] {
    padding: 20px 50px;
  }
}